Uses of Class
com.eqixiac.equinix.fabric.model.json.creators.NetworkCreatorJson
Packages that use NetworkCreatorJson
Package
Description
-
Uses of NetworkCreatorJson in com.eqixiac.equinix.fabric.client.internal
Methods in com.eqixiac.equinix.fabric.client.internal with parameters of type NetworkCreatorJsonModifier and TypeMethodDescriptionNetworkClient.create(NetworkCreatorJson networkCreatorJson) NetworkClient.dryRunCreate(NetworkCreatorJson networkCreatorJson) Dry-run variant ofNetworkClient.create(NetworkCreatorJson): POSTs the same body to/fabric/v4/networkswithdryRun=true- per the Fabric v4 spec, an "option to verify that API calls will succeed". -
Uses of NetworkCreatorJson in com.eqixiac.equinix.fabric.client.internal.implementation
Methods in com.eqixiac.equinix.fabric.client.internal.implementation with parameters of type NetworkCreatorJsonModifier and TypeMethodDescriptionNetworkClientImpl.create(NetworkCreatorJson networkCreatorJson) NetworkClientImpl.dryRunCreate(NetworkCreatorJson networkCreatorJson) Dry-run variant ofNetworkClientImpl.create(NetworkCreatorJson): POSTs the same body to/fabric/v4/networkswith the spec'sdryRun=truequery parameter ("option to verify that API calls will succeed").